angular.module('beamng.apps')
.directive('cameraDistance', [function () {
  return {
    template:
      '<div class="bngApp" style="width: 100%; height: 100%; font-size: 1.4em;" ' +
                  'layout="column" layout-align="center center">' +
        '<span style="font-size: 130%">Расстояние</span>' +
        '<span>{{ cameraDistance }}</span>' +
      '</div>',
    replace: true,
    link: function (scope, element, attrs) {
      'use strict';

      scope.cameraDistance = 'Not in freecam';

      function resetValues () {
        scope.$evalAsync(function () {
          scope.cameraDistance = null;
        });
      }

      scope.$on('cameraDistance', function (event, data) {
        scope.$evalAsync(function () {
          scope.cameraDistance = data;
        });
      });
    }
  };
}]);